Support » Plugin: WooCommerce PDF Invoices & Packing Slips » Invoice can’t be viewed – FATAL ERROR

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Contributor Yordan Soares

    (@yordansoares)

    Hello @20sigd,

    I suspect that you are using PHP 8.0, is that correct? The PDF library that we use is not compatible with PHP 8.0 yet, this will hopefully be released somewhere in the next few weeks.

    Generally speaking I would recommend sticking with PHP7.4 for a couple of months until all systems are compatible – as you can see we too are tied to third party libraries that need to be updated.

    Let me know if you solve this issue!

    Thread Starter 20sigd

    (@20sigd)

    I am glad the fix is one click of a button away but, unfortunately, it seems that I can no longer change from PHP 8 to PHP 7.4, the store was installed on PHP 8 and it throws me all kinds of PHP errors when changing the PHP version to 7.4.

    I’d like to use your plug in so, I’ll ask, when do you think the new update will be ready along with the fix? Store isn’t running yet but it will be very soon and I’ll need invoices working out.

    Plugin Contributor Yordan Soares

    (@yordansoares)

    Hello @20sigd,

    I’m glad to let you know that the latest release of WooCommerce PDF Invoices &
    Packing Slips
    is now available. This version adds PHP 8 support, so you can update your PHP version when you desire it.

    Have a nice day!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Invoice can’t be viewed – FATAL ERROR’ is closed to new replies.